#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* Desarrollar un programa que lea nmeros de la entrada estndar, uno por cada
lnea. Cuando se lea la palabra "end", el programa deber imprimir la suma
de todos los nmeros ledos y terminar.
*/


int main(int argc, char * argv[]) {
    char linea[80]; //Variable para leer una lnea de entrada
    FILE *fd;      //Descriptor de archivo de entrada

    int numero; //Variable para almacenar un numero leido
    int suma; //Variable que almacena la suma de todos los numeros

    if (argc > 1) { //Se especific un parmetro por lnea de comandos?
       fd = fopen(argv[1], "r");    //Intentar abrir el archivo
       if (!fd) { //No se puede abrir el archivo?
          fd = stdin; //Usar la entrada estndar (stdin = entrada estndar)
       }
    }else { //No se especific un parmetro por lnea de comandos
          fd = stdin;
    }
    
    // Leer lneas de la entrada hasta encontrar la palabra "end"

    suma = 0; //inicializar la suma
    while (!feof(fd))  { //ciclo principal
          fgets(linea, 80, fd);  //Leer una linea de hasta 80 caracteres

          //Validar si la lnea est vaca
          if (strlen(linea) <= 1) {continue;} //continue : ir al inicio del ciclo

          //Validar si la lnea es un comentario
          if (linea[0] == '#') {continue;}

          //Validar por fin de la entrada
          if (strcmp(linea, "end") == 0 || strcmp(linea, "end\n") == 0) {
             printf("%d\n", suma); //Imprimir la suma de los numeros
             break; //Terminar el ciclo
          }

          //POST: la lnea es vlida, verificar si existe un numero 
          
          numero = 0;
          if (sscanf(linea, "%d", &numero) == 1 && numero != 0) {
             suma = suma + numero;
          }
          
    }

    system("pause");
}


