#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* Desarrollar un programa que calcule la suma de varias series de nmeros enteros.
La entrada al programa se dar por entrada estndar, y consistir en un conjunto de 
lneas con el siguiente formato:

n
numero1 numero2 numero3 ..... numeroN
m
numero1 numero2 numero3 .....  numeroM
end


n y m representan la cantidad de nmeros a leer. Suponga que en la lnea inmediatamente
posterior se encuentran los nmeros a sumar. Tambin suponga que estas lneas son consistentes, 
es decir si se especifica n, en la lnea inmediatamente posterior existirn n nmeros a sumar.

Para cada par de lneas (n y los nmeros a sumar), se deber imprimr la sumatoria
de los nmeros.

El programa deber terminar cuando se lea la palabra "end".

*/


int main(int argc, char * argv[]) {
    char linea[80]; //Variable para leer una lnea de entrada
    FILE *fd;      //Descriptor de archivo de entrada

    int n;      // Variable para almacenar la cantidad de numeros a leer
    int numero; //Variable para almacenar un numero leido
    int suma; //Variable que almacena la suma de todos los numeros

    int posicion; //Variable que almacena el desplazamiento desde el inicio de la linea
    int count; //Variable que almacena el numero de caracteres leidos

    if (argc > 1) { //Se especific un parmetro por lnea de comandos?
       fd = fopen(argv[1], "r");    //Intentar abrir el archivo
       if (!fd) { //No se puede abrir el archivo?
          fd = stdin; //Usar la entrada estndar (stdin = entrada estndar)
       }
    }else { //No se especific un parmetro por lnea de comandos
          fd = stdin;
    }
    
    // Leer lneas de la entrada hasta encontrar la palabra "end"

    suma = 0; //inicializar la suma
    while (!feof(fd))  { //ciclo principal
          fgets(linea, 80, fd);  //Leer una linea de hasta 80 caracteres

          //Validar si la lnea est vaca
          if (strlen(linea) <= 1) {continue;} //continue : ir al inicio del ciclo

          //Validar si la lnea es un comentario
          if (linea[0] == '#') {continue;}

          //Validar por fin de la entrada
          if (strcmp(linea, "end") == 0 || strcmp(linea, "end\n") == 0) {
             break; //Terminar el ciclo
          }

          //POST: la lnea es vlida, verificar si existe un numero 
          
          n = 0;
          if (sscanf(linea, "%d", &n) == 1 && n > 0) { 
             //Se ley n, ahora leer y sumar los nmeros de la lnea inmediatamente posterior
             fgets(linea, 80, fd);  //Leer la lnea con los nmeros
             //Sacar cada nmero de la lnea

             suma = 0; //Inicializar la suma
             posicion = 0; //Iniciar el desplazamiento en la linea
             numero = 0;
             while (sscanf(linea + posicion, "%d%n", &numero, &count) == 1) {
                      suma = suma + numero;
                      posicion = posicion + count;                   
             }
             printf("%s", linea); //Imprimir la linea: incluye '\n'
             printf("Suma: %d\n", suma);
          }
          
    }

    system("pause");
}


